## org.apache.poi.xslf.model
Class TextBodyPropertyFetcher<T>

    java.lang.Object
      org.apache.poi.xslf.model.PropertyFetcher<T>
          org.apache.poi.xslf.model.TextBodyPropertyFetcher<T>

    public abstract class TextBodyPropertyFetcher<T>

extends PropertyFetcher<T>

Created by IntelliJ IDEA. User: yegor Date: Oct 21, 2011 Time: 1:18:52 PM To change this template use File | Settings | File Templates.

Constructor Summary
`TextBodyPropertyFetcher()`

Method Summary
`abstract boolean` `fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties props)`
`boolean` `fetch(XSLFSimpleShape shape)`

Methods inherited from class org.apache.poi.xslf.model.PropertyFetcher
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextBodyPropertyFetcher

    public TextBodyPropertyFetcher()

Method Detail

### fetch

    public boolean fetch(XSLFSimpleShape shape)

  Specified by:
    `fetch` in class `PropertyFetcher<T>`
  Parameters:
    `shape` - the shape being examined
  Returns:
    true if the desired property was fetched

### fetch

    public abstract boolean fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties props)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.